Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class InValueClassIndicator

    java.lang.Object
      |
      +--kodo.jdbc.meta.Indicator
            |
            +--kodo.jdbc.meta.ClassIndicator
                  |
                  +--kodo.jdbc.meta.ColumnClassIndicator
                        |
                        +--kodo.jdbc.meta.InValueClassIndicator

All Implemented Interfaces:
  Mapping

Direct Known Subclasses:
  InClassNameClassIndicator, MetaDataValueClassIndicator

public abstract class InValueClassIndicator
extends ColumnClassIndicator

Base class indicator that determines the class of database records using a column holding a value mapped to a class, and limits SELECTs using an IN (...) statement.

Constructor Summary
`InValueClassIndicator()`

Method Summary
`void` | `addClassConditions(JDBCStoreManager store, Select sel, ClassMapping cls, boolean subclasses)` Add SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.

Methods inherited from class kodo.jdbc.meta.ColumnClassIndicator
`fromMappingInfo, getClass, getClass, getClassIndicator, getColumn, getDataStoreTypeCode, getJDBCType, insert, map, refSchemaComponents, select, setColumn, toMappingInfo`

Methods inherited from class kodo.jdbc.meta.ClassIndicator
`getClassLoader, getDefaults, loadSubclasses, newInstance, setSubclassesLoaded, subclassesLoaded, toString`

Methods inherited from class kodo.jdbc.meta.Indicator
`delete, delete, getDBDictionary, getMappingRepository, getOwnerMapping, getTable, insert, isCustomDelete, isCustomInsert, isCustomUpdate, reverseMap, setOwnerMapping, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kodo.jdbc.meta.Mapping
`getMappingType`

Constructor Detail

### InValueClassIndicator

    public InValueClassIndicator()

Method Detail

### addClassConditions

    public void addClassConditions(JDBCStoreManager store,
                                   Select sel,
                                   ClassMapping cls,
                                   boolean subclasses)

  Description copied from class: `ClassIndicator`
  Add SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.
  Overrides:
    `addClassConditions` in class `ClassIndicator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.